propel:
  _attributes:              { package: plugins.stPaymentPaypalPlugin.lib.model }

  paypal_transaction:
    _attributes:            { phpName: PaypalTransaction, allowPkInsert: true }
    ptid:                   { type: integer, size:  11, required: true, primaryKey: true, autoIncrement: true }
    transaction_id:         { type: varchar, size: 255, required: true }                                # Unique transaction id / txn_id
    transaction_type:       { type: varchar, size: 255, required: true }                                # Type of transaction / txn_type
    uid:                    { type: integer, size:  11, required: true }
    payer_id:               { type: varchar, size: 255, required: true }
    payer_email:            { type: varchar, size: 255, required: true }
    sum:                    { type: double,  size:  12, scale: 2, required: true, default: 0.00 }       # credits bought / sum paid
    created_at:             { type: timestamp, required: true }
    _foreignKeys:
      pay_pt_fk_uid:        { foreignTable: user, references: [ {local: uid, foreign: uid} ] }
    _indexes:
      pay_pt_i_uid:         [uid]
